polybori::default_binder_base< BindType, BinaryFunction, ValueType > Class Template Reference

`#include <pbori_func.h>`

Inheritance diagram for polybori::default_binder_base< BindType, BinaryFunction, ValueType >:

## Public Types

typedef BinaryFunction | bin_op
typedef BindType< bin_op > | base
typedef ValueType | value_type

## Public Member Functions

| default_binder_base (const value_type &val)

## Member Typedef Documentation

template<template< class > class BindType, class BinaryFunction, class ValueType>

typedef BindType<bin_op> polybori::default_binder_base< BindType, BinaryFunction, ValueType >::base

template<template< class > class BindType, class BinaryFunction, class ValueType>

typedef BinaryFunction polybori::default_binder_base< BindType, BinaryFunction, ValueType >::bin_op

template<template< class > class BindType, class BinaryFunction, class ValueType>

typedef ValueType polybori::default_binder_base< BindType, BinaryFunction, ValueType >::value_type

## Constructor & Destructor Documentation

template<template< class > class BindType, class BinaryFunction, class ValueType>

polybori::default_binder_base< BindType, BinaryFunction, ValueType >::default_binder_base | ( | const value_type & | val) |  |

inline

The documentation for this class was generated from the following file:

- pbori_func.h